"use strict";

let pluginLimit = {
	name: "npm:raqb:limit",
	methods: {
		limit: {
			applyBuilder: function (query, [ limit ]) {
				return query.internalSingleState({ limit: limit });
			},
			prepareQueryOnce: (query) => {
		
			}
		}
	}
};


let pluginFirst = {
	name: "npm:raqb:first",
	methods: {
		first: {
			applyBuilder: function (query) {
				return query.limit(1);
			},
			processResult: (result) => {
				return result[0];
			}
		}
	}
};
